
QGIS Application - Bug report #11444

Min/Max values are not applied for number parameter

2014-10-19 07:11 AM - Tim Sutton

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Modeller

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19720

Description

When I create a new modeller input (number), the min max values I enter are forgotten when I reopen the parameters definition.

Using QGIS eb998de

History

#1 - 2014-10-19 08:46 AM - Giovanni Manghi

- Operating System deleted (Ubuntu)

- Affected QGIS version changed from 2.4.0 to master

confirmed also on other platforms.

#2 - 2014-10-19 12:35 PM - Victor Olaya

- Status changed from Open to Closed

fixed in 18e9fba08b4def90aabed33ad240cbbd3cb4c12a

#3 - 2014-10-19 01:17 PM - Tim Sutton

Victor Olaya wrote:

fixed in 18e9fba08b4def90aabed33ad240cbbd3cb4c12a

Thanks Victor!

Regards

Tim

#4 - 2014-10-19 03:32 PM - Tim Sutton

- Status changed from Closed to Reopened
Tim Sutton wrote:

Victor Olaya wrote:

fixed in 18e9fba08b4def90aabed33ad240cbbd3cb4c12a

Thanks Victor!

Regards

Tim

Hi

Hmm I just tested again and the min max still arent being remembered for me (running d2f89c5a2042747e36f4f9cd0370cec2da27d1ca here).

To replicate:

- add number to modeller

- set min value e.g. 1

- set max valie e.g. 200

- set default e.g.78

- close parameter window

- reopen and the min max are gone

Regards

Tim

#5 - 2014-10-19 03:37 PM - Victor Olaya

weird. IT is working here (actually i tried the same numbers)

Are you editing the parameter you added (which now cannot be done double clicking), or you mean you are adding a new number parameter and it does

not remember the latest value. I have only implemented the first case, for remembering the values of a parameter that exists and is been edited

#6 - 2014-10-20 01:26 AM - Tim Sutton

- File out-2.ogv added

Victor Olaya wrote:

weird. IT is working here (actually i tried the same numbers)

Are you editing the parameter you added (which now cannot be done double clicking), or you mean you are adding a new number parameter and it

does not remember the latest value. I have only implemented the first case, for remembering the values of a parameter that exists and is been edited

Hi
I tested here on my work machine. It still gives the same issue (built against d2f89c5). See attached screencast to see exactly what I am doing.

Regards

Tim

#7 - 2014-10-20 04:02 AM - Tim Sutton

Tim Sutton wrote:

Victor Olaya wrote:

weird. IT is working here (actually i tried the same numbers)

Are you editing the parameter you added (which now cannot be done double clicking), or you mean you are adding a new number parameter and

it does not remember the latest value. I have only implemented the first case, for remembering the values of a parameter that exists and is been

edited

Hi

I tested here on my work machine. It still gives the same issue (built against d2f89c5). See attached screencast to see exactly what I am doing.

Regards

Tim

I'm actually wondering if I am getting the right version of processing in my pythonpath - double clicking still works for me to edit properties too.

I'll poke around a bit further.

Regards

Tim

#8 - 2014-10-20 04:48 AM - Giovanni Manghi

Tim Sutton wrote:

Tim Sutton wrote:

Victor Olaya wrote:

weird. IT is working here (actually i tried the same numbers)

Are you editing the parameter you added (which now cannot be done double clicking), or you mean you are adding a new number parameter and

it does not remember the latest value. I have only implemented the first case, for remembering the values of a parameter that exists and is been

edited

Hi
I tested here on my work machine. It still gives the same issue (built against d2f89c5). See attached screencast to see exactly what I am doing.

Regards

Tim

I'm actually wondering if I am getting the right version of processing in my pythonpath - double clicking still works for me to edit properties too.

I'll poke around a bit further.

Regards

Tim

do you have any "processing" folder inside ~/.qgis2/pyhton/plugins ?

if yes then you have an old processing version masking the new one that comes with master. Delete that folder.

#9 - 2014-10-20 07:12 AM - Tim Sutton

- Status changed from Reopened to Closed

Giovanni Manghi wrote:

Tim Sutton wrote:

Tim Sutton wrote:

Victor Olaya wrote:

weird. IT is working here (actually i tried the same numbers)

Are you editing the parameter you added (which now cannot be done double clicking), or you mean you are adding a new number parameter

and it does not remember the latest value. I have only implemented the first case, for remembering the values of a parameter that exists and is

been edited

Hi

I tested here on my work machine. It still gives the same issue (built against d2f89c5). See attached screencast to see exactly what I am doing.

Regards

Tim

I'm actually wondering if I am getting the right version of processing in my pythonpath - double clicking still works for me to edit properties too.

I'll poke around a bit further.

Regards

Tim
do you have any "processing" folder inside ~/.qgis2/pyhton/plugins ?

if yes then you have an old processing version masking the new one that comes with master. Delete that folder.

Ah yes (facepalming here) that was it. Sorry for the noise.

Regards

Tim

Files

out-2.ogv 1.86 MB 2014-10-19 Tim Sutton
